% Griglia
xspan=[0,1];
tspan=[0,1];
deltax=0.02;
deltat=0.01;
% Dati iniziali
mu=1;
theta=0.5;
ut0=@(x) sin(x);
ux1=@(t) 0;
ux2=@(t) cos(t);
f=@(x,t) -sin(x)*sin(t)+sin(x)*cos(t);
uex=@(x,t) sin(x)*cos(t);
[xh,yh,uh]=heat(xspan,tspan,deltax,deltat,...
theta,ut0,ux1,ux2,mu,f);
% plot di uh
% surf(uh') (la trasposizione e' necessaria)
% Now a graph of the exact solution
[n,m]=size(uh);
uexh=zeros(n,m);
for i=1:n
  for j=1:m
    uexh(i,j)=uex(xh(i),yh(j));
  end
end
% Next instruction takes the maximum of all absolute values
% of the entries of the difference matrix 
max(max(abs(uh-uexh)))