for n=[5 10]
    h=hilb(n);
    [l,u] = lu(h);
    [q,r] = qr(h);
    [uu,s,vv]= svd(h);
    % dimensiona le tre inverse
    hlu = zeros(n);
    hqr = zeros(n);
    hsvd = zeros(n);
    % costruisce l'inversa per colonne in ognuno dei casi
    for j = 1:n
	% costruisce il termine noto, ej
	ej = zeros(n,1);
	ej(j) = 1;
	hlu(:,j) = u\(l\ej);
	hqr(:,j) = r\(q'*ej);
	hsvd(:,j) = vv*(s\ (uu'*ej));
    end
    fprintf('Valore di N %3.0f \n',n);
    disp('Errore nella fattorizzazione LU');
    n1=norm(h*hlu -eye(n));
    n2=norm(hlu*h -eye(n));
    fprintf('%e %e \n',n1,n2);
    disp('Errore nella fattorizzazione QR');
    n1=norm(h*hqr -eye(n));
    n2=norm(hqr*h -eye(n));
    fprintf('%e %e \n',n1,n2);
    disp('Errore nella fattorizzazione SVD');
    n1=norm(h*hsvd -eye(n));
    n2=norm(hsvd*h -eye(n));
    fprintf('%e %e \n',n1,n2);
end
